package jrummikub.view;

import jrummikub.model.Position;
import jrummikub.model.Stone;
import jrummikub.util.Pair;

/**
 * The view for a player's hand that displays his stones
 */
public interface IHandPanel extends IStonePanel, IClickable {
	/**
	 * Set the player's stones to display on the board
	 * 
	 * @param stones
	 *            the stones
	 */
	public void setStones(Iterable<Pair<Stone, Position>> stones);

	/**
	 * Set the number of stones that fit on the hand horizontally
	 * 
	 * @param width
	 *            number of stones
	 */
	public void setHandWidth(int width);

	/**
	 * Set the number of stones that fit on the hand vertically
	 * 
	 * @param height
	 *            number of stones
	 */
	public void setHandHeight(int height);
}
